%global module_name seq

Name:           nodejs-%{module_name}
Version:        0.3.5
Release:        9%{?dist}
Summary:        An asynchronous flow control library 

# License text is requested: https://github.com/substack/node-seq/issues/44
License:        MIT
URL:            https://github.com/substack/node-seq
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires: npm(hashish)
BuildRequires: npm(chainsaw)

%description
Chainable asynchronous flow control with sequential and parallel primitives
and pipeline-style error handling.

%prep
%setup -q -n package
rm -rf node_modules
chmod 644 index.js

%nodejs_fixdep chainsaw ~0.x

%build
#nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%files
%doc README.markdown examples
%{nodejs_sitelib}/%{module_name}


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 30 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.3.5-3
- Fix chainsaw module dependency version

* Sat Oct 25 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.3.5-2
- Removed %%check as its not working

* Mon Sep 15 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.3.5-1
- Initial packaging

